*************************************************
* Linear and Logistic Regression
* Ph. D course , Aarhus University
* copyright: Morten Frydenberg
*            Department of Biostatistics
*
*  Most of the Stata code used at 
*                DAY 1 lecture 1
*************************************************
cd E:\KURSER\PostReg\Version6\Lectures\Day1
capture log close
log using PostReg1_1.log,text replace
use lung,clear
*************************************************
* A scatter plot with fitted line PLOT01
*************************************************
twoway ///
 (scatter PEFR height, mco(blue) msym(O)) ///
 (lfit PEFR height,clpat(1))              ///
 ,legend(off) ytit("PEFR (l/min)")
*************************************************
* saving the plot as a Wndows Meta File
*************************************************
graph export Reg1_1_plot01.wmf,replace
*************************************************
* The same plot using id number as label PLOT01b
*************************************************
twoway ///
 (scatter PEFR height, msy(i) mlab(number) mlabp(0)) ///
 (lfit PEFR height,clpat(1))              ///
 ,legend(off) ytit("PEFR (l/min)")
graph export Reg1_1_plot01b.wmf,replace
*************************************************
* The regression
*************************************************
regress PEFR height
*************************************************
* Finding the confidence interval for the 
* for the variation around the line.
* using the cisd procedure
*************************************************
cisd
* using the 'saved' information in Stata
* display e(rmse)
* display e(rmse)*sqrt( e(df_r)/invchi2(e(df_r),0.975) )
* display e(rmse)*sqrt( e(df_r)/invchi2(e(df_r),0.025) )
*************************************************
* Changing the reference point for  height
* The regression
*************************************************
gene height170=height-170
regress PEFR height170
cisd
*************************************************
* Testing the slope = 5
*************************************************
lincom height170-5

*************************************************
* A scatter plot with fitted line and
* some extra lines PLOT02
*************************************************
twoway                                        ///
 (scatter PEFR height, mco(blue) msym(O))     ///
 (lfit PEFR height,clpat(1))                  ///
 (function y=514.0477, range(150 170)clpat(1) clw(thick) clc(blue)) ///
 ,legend(off) ytit("PEFR (l/min)") xtitle( "Height (cm)") xline(170)
graph export Reg1_1_plot02.wmf,replace
*************************************************
* A scatter plot with fitted line and CI PLOT03
*************************************************
twoway ///
 (scatter PEFR height, mco(blue) msym(O))     ///
 (lfitci PEFR height,clpat(1) cip(rline) )    ///
  ,legend(off) ytit("PEFR (l/min)") xline(170 )
graph export Reg1_1_plot03.wmf,replace
log close

